#ifndef _FLASH_H_
#define	_FLASH_H_

#define	FWORD					unsigned long
#define	SECTOR_SIZE				(0x80)

int		flash_erase_macro(int dsel);
int		flash_erase_sector(int dsel, unsigned long addr);
int		flash_write_sector(int dsel, unsigned long addr,unsigned long *pdata);

int LockEraseChip (void);
int EraseChip (void);
int EraseSector (int sel, unsigned long addr);
int ProgramPage (int sel,unsigned long addr, unsigned long size, unsigned char *buf);
unsigned long Verify (unsigned long addr, unsigned long size, unsigned char *buf);

int EraseChipBBlock (void);

#endif
